List configuration questions
curl --request GET \
--url https://api.zelinqa.ai/v1/configuration/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelinqa.ai/v1/configuration/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelinqa.ai/v1/configuration/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"state": "published",
"questions": [
{
"id": "<string>",
"text": "<string>",
"type": "open",
"selection_mode": "single",
"source": "user",
"choices": [
{
"id": "<string>",
"label": "<string>",
"maps_to_value": "<unknown>"
}
],
"dimension_id": "<string>",
"active": true
}
],
"next_cursor": "<string>",
"total": 1
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Configuration
List configuration questions
List configured questions with pagination, filters, and optional CSV export.
GET
/
v1
/
configuration
/
questions
List configuration questions
curl --request GET \
--url https://api.zelinqa.ai/v1/configuration/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zelinqa.ai/v1/configuration/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zelinqa.ai/v1/configuration/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"state": "published",
"questions": [
{
"id": "<string>",
"text": "<string>",
"type": "open",
"selection_mode": "single",
"source": "user",
"choices": [
{
"id": "<string>",
"label": "<string>",
"maps_to_value": "<unknown>"
}
],
"dimension_id": "<string>",
"active": true
}
],
"next_cursor": "<string>",
"total": 1
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Authorizations
Query Parameters
Response
Successful response.